import request from '@/utils/request'

//资金支付额度和用途分析
export function amountExpenditureLimitAndUsageStatistics(query) {
    return request({
        url: '/yinnong/dataScreen/amountExpenditureLimitAndUsageStatistics',
        method: 'get',
        params: query
    })
}
//2. 账户支出周期分析
export function accountExpenditureCycleStatistics(query) {
  return request({
    url: '/yinnong/dataScreen/accountExpenditureCycleStatistics',
    method: 'get',
    params: query
  })
}
//3. deptList
export function treeselect(query) {
  return request({
    url: '/system/dept/treeselect',
    method: 'get',
    params: query
  })
}
//4. 村务卡支付记录
export function getVillageCardPaymentRecords(query) {
  return request({
    url: '/yinnong/dataScreen/getVillageCardPaymentRecords',
    method: 'get',
    params: query
  })
}
//5.	支付资金和申请资金
export function getTotalFund(query) {
  return request({
    url: '/yinnong/dataScreen/getTotalFunds',
    method: 'get',
    params: query
  })
}
//6. 查询银行转账详细
export function getTransfer(id) {
  return request({
    url: '/yinnong/transfer/get/' + id,
    method: 'get'
  })
}
// 查询工程项目关联关系详细
export function getProjectto(query) {
  return request({
    url: '/yinnong/project/getProjectto/',
    method: 'get',
    params: query
  })
}
// 通过外部信息查询合同信息
export function getInfoto(query) {
  return request({
    url: '/contraction/info/selectInfoByOutId/',
    method: 'get',
    params: query
  })
}
export function queryTransferDetail(transferId){
  return request({
    url: '/yinnong/transferDetail/getDetails/' + transferId,
    method: 'get'
  })
}
export function listPayee(query) {
  return request({
    url: '/yinnong/payee/selectlist',
    method: 'get',
    params: query
  })
}
//7. 超期未分红项目
export function overdueUndevidentProjects(query) {
  return request({
    url: '/yinnong/dataScreen/overdueUndevidentProjects',
    method: 'get',
    params: query
  })
}
//8. 异常事件总览
export function unexpectedEventStatistics(query) {
  return request({
    url: '/yinnong/dataScreen/unexpectedEventStatistics',
    method: 'get',
    params: query
  })
}
//9. 产权交易分析
export function transactionStatistics(query) {
  return request({
    url: '/yinnong/dataScreen/transactionStatistics',
    method: 'get',
    params: query
  })
}
//10. 乡镇项目中标单位分析
export function projectWinTenderUnitStatistics(query) {
  return request({
    url: '/yinnong/dataScreen/projectWinTenderUnitStatistics',
    method: 'get',
    params: query
  })
}
export function attachmentList(data) {
  return request({
    url: '/system/attachment/query',
    method: 'get',
    params: data
  })
}
//验收超期预警
export function projectAcceptanceOverdueWarningStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectAcceptanceOverdueWarningStatistics',
    method: 'get',
    params: data
  })
}
//股权化填报超期预警
export function projectStockOverdueWarningStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectStockOverdueWarningStatistics',
    method: 'get',
    params: data
  })
}
//拨款超期预警
export function projectFundsOverdueWarningStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectFundsOverdueWarningStatistics',
    method: 'get',
    params: data
  })
}
//绩效填报超期预警
export function projectMeritsOverdueWarningStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectMeritsOverdueWarningStatistics',
    method: 'get',
    params: data
  })
}
//通用项目预警统计
export function projectWarningStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectWarningStatistics',
    method: 'get',
    params: data
  })
}
//项目数量统计
export function projectCountTownLevelStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectCountTownLevelStatistics',
    method: 'get',
    params: data
  })
}
//项目详情
export function projectDetailStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectDetailStatistics',
    method: 'get',
    params: data
  })
}
//项目总览 - 左上
export function projectGroupNumStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectGroupNumStatistics',
    method: 'get',
    params: data
  })
}
//项目总览 - 项目资金分析 左下
export function projectAmountStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectAmountStatistics',
    method: 'get',
    params: data
  })
}
//帮扶对象 - 帮扶同比增长率统计 左上
export function projectBuildSumStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectBuildSumStatistics',
    method: 'get',
    params: data
  })
}
//帮扶对象 - 项目类型分析 右
export function projectInterestConnectionTypeStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/projectInterestConnectionTypeStatistics',
    method: 'get',
    params: data
  })
}
//帮扶对象 - 重点贫困户监管列表 左中
export function regionPoorFarmerHouseholdList(data) {
  return request({
    url: '/yinnong/dataScreen/regionPoorFarmerHouseholdList',
    method: 'get',
    params: data
  })
}
//帮扶对象 - 重点贫困户监管列表 左中
export function regionBuildPoorFarmerHouseholdList(data) {
  return request({
    url: '/yinnong/dataScreen/regionBuildPoorFarmerHouseholdList',
    method: 'get',
    params: data
  })
}
//业主单位 - 宅基地情况 右3
export function houseStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/houseStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 分红情况 中下
export function stockDividentStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/stockDividentStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 基本信息 左上
export function villageStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/villageStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 承包地概况 右4
export function cdStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/cbStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 人居环境 右1
export function populationStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/populationStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 行政管理 右2
export function administrativeManagementStatistics(data) {
  return request({
    url: '/yinnong/dataScreen/administrativeManagementStatistics',
    method: 'get',
    params: data
  })
}
//首页-指标分析
export function indexAnalysis(data){
  return request({
    url: '/yinnong/dataScreen/indexAnalysis',
    method: 'get',
    params: data
  })
}
//首页-项目总览
export function projectStatistics(data){
  return request({
    url: '/yinnong/dataScreen/projectStatistics',
    method: 'get',
    params: data
  })
}
//首页-帮扶和收益统计
export function projectBuildAndBenefitStatistics(data){
  return request({
    url: '/yinnong/dataScreen/projectBuildAndBenefitStatistics',
    method: 'get',
    params: data
  })
}
//首页-项目预警总览
export function projectWarningNumStatistics(data){
  return request({
    url: '/yinnong/dataScreen/projectWarningNumStatistics',
    method: 'get',
    params: data
  })
}
//首页-农户统计
export function farmerStatistics(data){
  return request({
    url: '/yinnong/dataScreen/farmerStatistics',
    method: 'get',
    params: data
  })
}
//首页-货币资金存量
export function fundDeptStatistics(data){
  return request({
    url: '/yinnong/dataScreen/fundDeptStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 产改情况 左下
export function stockNumStatistics(data){
  return request({
    url: '/yinnong/dataScreen/stockNumStatistics',
    method: 'get',
    params: data
  })
}
//业主单位 - 产改情况 左中
export function financeStatistics(data){
  return request({
    url: '/yinnong/dataScreen/financeStatistics',
    method: 'get',
    params: data
  })
}
//项目总览 - 即将兑现 左中
export function projectAcceptingList(data){
  return request({
    url: '/yinnong/dataScreen/projectAcceptingList',
    method: 'get',
    params: data
  })
}
//业务单位 - 资产列表 右1新
export function assetList(data){
  return request({
    url: '/yinnong/dataScreen/assetList',
    method: 'get',
    params: data
  })
}
//业务单位 - 资源列表 右2新
export function assetResourceList(data){
  return request({
    url: '/yinnong/dataScreen/assetResourceList',
    method: 'get',
    params: data
  })
}
//地图json
export function getGeo(data){
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: data
  })
}
//组织机构子集
export function getDeptList(data){
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: data
  })
}
//业主单位 - 农户列表
export function getFarmerList(data){
  return request({
    url: '/yinnong/dataScreen/farmerList',
    method: 'get',
    params: data
  })
}
//业主单位 - 乡镇项目中标单位分析
export function projectBaseDetail(data){
  return request({
    url: '/yinnong/dataScreen/projectBaseDetail',
    method: 'get',
    params: data
  })
}
//业主单位 - 农户列表
export function overdueUndevidentProjectDetail(data){
  return request({
    url: '/yinnong/dataScreen/overdueUndevidentProjectDetail',
    method: 'get',
    params: data
  })
}
//首页 - 项目列表
export function projectList(data){
  return request({
    url: '/yinnong/dataScreen/projectList',
    method: 'get',
    params: data
  })
}
